﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinSchedule;

namespace _85124
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            GenerateAppointments(DateTime.Now.AddDays(-2), DateTime.Now.AddDays(54));
            ultraMonthViewSingle1.CreationFilter = new MyCreation(ultraMonthViewSingle1);
        }

        private void GenerateAppointments(DateTime sDate, DateTime eDate)
        {
            Random rnd = new Random();
            int days = (int)(eDate - sDate).TotalDays;
            for (int i = 0; i < days; i++)
            {
                int apps = rnd.Next(2,20);
                for (int j = 0; j < apps; j++)
			    {
                    Appointment app = new Appointment(sDate, sDate.AddMinutes(30));
                    app.AllDayEvent = true;
                    app.Subject = string.Format("Day {0} App {1}", i, j);
                    app.Description  = string.Format("Day {0} App {1}", i, j);
                    ultraCalendarInfo1.Appointments.Add(app);
			    }
                sDate = sDate.AddDays(1);
            }
        }

    }
}
